Subject: Re: bug#54017: add regexp translation option to read-regexp

From: Juri Linkov <[email-masked]>
Date: Thu, 17 Feb 2022 19:40:43 +0200

> Before we install something like this, we need to discuss the relevant
> use cases and agree that it makes sense for us to support them.
>
> I originally interpreted the OP's request as asking for a feature
> where the user could use one of the regexp styles used by other
> programs, such as BRE or ERE or maybe PCRE.  If this is indeed the
> intent, then I'd rather we implemented support for only those specific
> styles (or some subset of them).  It doesn't make sense to me to
> support arbitrary translations of regular expressions, because I see
> no valid use cases for such a general feature, and am unaware of any
> other applications which support regular expressions that allow such
> arbitrary translations.

Then need to wait when someone will step forward to write these
BRE/ERE/PCRE translation functions.